System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

An import made to the client computer generates a proxy class with synchronous and asynchronous methods to invoke each method within an XML Web service. A server import, on the other hand, generates an abstract class with abstract members, which you must override to provide the implementation you need.

Specifies whether the import is made to the server or to the client computer.

- Field
  System.Web.Services.Description.ServiceDescriptionImportStyle To be added

  Specifies that the import should be made to the client computer.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlEnum("client")
- Field
  System.Web.Services.Description.ServiceDescriptionImportStyle To be added

  Specifies that the import should be made to the server.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlEnum("server")
- Field
  2.0.0.0
  System.Xml.Serialization.XmlEnum("serverInterface")
  System.Web.Services.Description.ServiceDescriptionImportStyle

  Specifies that the import should be made to a server interface.